osdir.com
mailing list archive F.A.Q. -since 2001!

low ad version

Subject: [jira] [Commented] (HIVE-2391) published POMs in
Maven repo are incorrect - msg#00965

List: hive-dev-hadoop-apache

hive-dev-hadoop-apache Navigation:
Date: Prev Next Date Index Thread: Prev Next Thread Index


[
https://issues.apache.org/jira/browse/HIVE-2391?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13091711#comment-13091711
]

Amareshwari Sriramadasu commented on HIVE-2391:
-----------------------------------------------

I tried the following (correct me if I'm wrong here):
* Removed all the jar from lib/ directory
* Tried to build each artifact with proper ivy dependencies.

Could build some modules properly after adding missing ivy dependencies. But I
think we need to wait for HIVE-2376 to bump up thrift version from 0.5, I did
not find any repo for thrift 0.5.

> published POMs in Maven repo are incorrect
> ------------------------------------------
>
> Key: HIVE-2391
> URL: https://issues.apache.org/jira/browse/HIVE-2391
> Project: Hive
> Issue Type: Bug
> Components: Build Infrastructure
> Affects Versions: 0.7.1
> Reporter: Alejandro Abdelnur
> Priority: Critical
>
> The Hive artifacts published in Apache Maven SNAPSHOTS repo are incorrect.
> Dependencies are not complete.
> Even after adding as dependencies ALL the Hive artifacts it is not possible
> to compile a project using Hive JARs (I'm trying to integrate Oozie Hive
> Action using Apache Hive).
> As a reference the Hive CDH POMs dependencies could be used (Using those
> artifacts I'm able to compile/test/run Hive from within Oozie).

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira



Thread at a glance:

Previous Message by Date:

[jira] [Updated] (HIVE-2402) Function like with empty string is throwing null pointer exception

[ https://issues.apache.org/jira/browse/HIVE-2402?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ] Venu Gopala Rao updated HIVE-2402: ---------------------------------- Affects Version/s: 0.8.0 Status: Patch Available (was: Open) > Function like with empty string is throwing null pointer exception > ------------------------------------------------------------------ > > Key: HIVE-2402 > URL: https://issues.apache.org/jira/browse/HIVE-2402 > Project: Hive > Issue Type: Bug > Components: Query Processor > Affects Versions: 0.8.0 > Environment: Hadoop 0.20.1, Hive0.8.0 and SUSE Linux Enterprise > Server 10 SP2 (i586) - Kernel 2.6.16.60-0.21-smp (5) > Reporter: Chinna Rao Lalam > Attachments: HIVE-2402.patch > > > select emp.ename from emp where ename like '' > This query is throwing null pointer exception -- This message is automatically generated by JIRA. For more information on JIRA, see: http://www.atlassian.com/software/jira

Next Message by Date:

[jira] [Commented] (HIVE-2391) published POMs in Maven repo are incorrect

[ https://issues.apache.org/jira/browse/HIVE-2391?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13091746#comment-13091746 ] Alejandro Abdelnur commented on HIVE-2391: ------------------------------------------ Amareshwari, I'm not following why you worry about building Hive, that is working fine. Unless you want to see what JARs end up in each build/lib directory of every module (in case Hive build does that). You don't need Thrift 0.5, you need the correct version of Thrift used by Hive. CDH Hive uses v0.5 because at the time the Thrift JAR was unversioned and we needed a version number. > published POMs in Maven repo are incorrect > ------------------------------------------ > > Key: HIVE-2391 > URL: https://issues.apache.org/jira/browse/HIVE-2391 > Project: Hive > Issue Type: Bug > Components: Build Infrastructure > Affects Versions: 0.7.1 > Reporter: Alejandro Abdelnur > Priority: Critical > > The Hive artifacts published in Apache Maven SNAPSHOTS repo are incorrect. > Dependencies are not complete. > Even after adding as dependencies ALL the Hive artifacts it is not possible > to compile a project using Hive JARs (I'm trying to integrate Oozie Hive > Action using Apache Hive). > As a reference the Hive CDH POMs dependencies could be used (Using those > artifacts I'm able to compile/test/run Hive from within Oozie). -- This message is automatically generated by JIRA. For more information on JIRA, see: http://www.atlassian.com/software/jira

Previous Message by Thread:

[jira] [Commented] (HIVE-2391) published POMs in Maven repo are incorrect

[ https://issues.apache.org/jira/browse/HIVE-2391?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13091574#comment-13091574 ] Alejandro Abdelnur commented on HIVE-2391: ------------------------------------------ As a reference, I'm attaching the dependencies that CDH Hive POMs have. Ignoring the versions, they should be pretty much the same. Also note that the ones to be declared are the first level ones only, the deeper ones come transitively. {code} [INFO] [INFO] ------------------------------------------------------------------------ [INFO] Building Hive common 0.7.1-cdh3u2-SNAPSHOT [INFO] ------------------------------------------------------------------------ [INFO] [INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ hive-common --- [INFO] org.apache.hadoop.hive:hive-common:pom:0.7.1-cdh3u2-SNAPSHOT [INFO] +- com.cloudera.cdh:hive-ant:pom:3.0-u2-SNAPSHOT:compile [INFO] +- commons-cli:commons-cli:jar:1.2:compile [INFO] +- org.apache.thrift:libfb303:jar:0.5.0-cdh:compile [INFO] +- org.apache.thrift:libthrift:jar:0.5.0-cdh:compile [INFO] +- org.json:json:jar:20090211:compile [INFO] +- javax.jdo:jdo2-api:jar:2.3-ec:compile [INFO] | \- javax.transaction:jta:jar:1.1:compile [INFO] +- org.antlr:antlr-runtime:jar:3.0.1:compile [INFO] | \- org.antlr:stringtemplate:jar:3.1-b1:compile [INFO] +- asm:asm:jar:3.1:compile [INFO] +- commons-codec:commons-codec:jar:1.4:compile [INFO] +- commons-collections:commons-collections:jar:3.2.1:compile [INFO] +- commons-lang:commons-lang:jar:2.5:compile [INFO] +- commons-logging:commons-logging:jar:1.0.4:compile [INFO] +- commons-logging:commons-logging-api:jar:1.0.4:compile [INFO] +- org.datanucleus:datanucleus-core:jar:2.0.3:compile [INFO] +- org.datanucleus:datanucleus-enhancer:jar:2.0.3:compile [INFO] +- org.datanucleus:datanucleus-rdbms:jar:2.0.3:compile [INFO] +- org.apache.derby:derby:jar:10.6.1.0:compile [INFO] +- jline:jline:jar:0.9.94:compile [INFO] +- junit:junit:jar:4.8.1:test (scope not updated to compile) [INFO] +- log4j:log4j:jar:1.2.16:compile [INFO] +- org.apache.velocity:velocity:jar:1.5:compile [INFO] +- com.google.guava:guava:jar:r06:compile [INFO] \- com.cloudera.cdh:hadoop-root:pom:3.0-u2-SNAPSHOT:compile [INFO] [INFO] ------------------------------------------------------------------------ [INFO] Building Hive anttasks 0.7.1-cdh3u2-SNAPSHOT [INFO] ------------------------------------------------------------------------ [INFO] [INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ hive-anttasks --- [INFO] org.apache.hadoop.hive:hive-anttasks:pom:0.7.1-cdh3u2-SNAPSHOT [INFO] +- com.cloudera.cdh:hive-ant:pom:3.0-u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-common:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] | +- commons-cli:commons-cli:jar:1.2:compile [INFO] | +- org.apache.thrift:libfb303:jar:0.5.0-cdh:compile [INFO] | +- org.apache.thrift:libthrift:jar:0.5.0-cdh:compile [INFO] | +- org.json:json:jar:20090211:compile [INFO] | +- javax.jdo:jdo2-api:jar:2.3-ec:compile [INFO] | | \- javax.transaction:jta:jar:1.1:compile [INFO] | +- org.antlr:antlr-runtime:jar:3.0.1:compile [INFO] | | \- org.antlr:stringtemplate:jar:3.1-b1:compile [INFO] | +- asm:asm:jar:3.1:compile [INFO] | +- commons-codec:commons-codec:jar:1.4:compile [INFO] | +- commons-collections:commons-collections:jar:3.2.1:compile [INFO] | +- commons-lang:commons-lang:jar:2.5:compile [INFO] | +- commons-logging:commons-logging:jar:1.0.4:compile [INFO] | +- commons-logging:commons-logging-api:jar:1.0.4:compile [INFO] | +- org.datanucleus:datanucleus-core:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-enhancer:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-rdbms:jar:2.0.3:compile [INFO] | +- org.apache.derby:derby:jar:10.6.1.0:compile [INFO] | +- jline:jline:jar:0.9.94:compile [INFO] | | \- junit:junit:jar:4.8.1:compile (version managed from 3.8.1) [INFO] | +- log4j:log4j:jar:1.2.16:compile [INFO] | +- org.apache.velocity:velocity:jar:1.5:compile [INFO] | \- com.google.guava:guava:jar:r06:compile [INFO] \- com.cloudera.cdh:hadoop-root:pom:3.0-u2-SNAPSHOT:compile [INFO] [INFO] ------------------------------------------------------------------------ [INFO] Building Hive contrib 0.7.1-cdh3u2-SNAPSHOT [INFO] ------------------------------------------------------------------------ [INFO] [INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ hive-contrib --- [INFO] org.apache.hadoop.hive:hive-contrib:pom:0.7.1-cdh3u2-SNAPSHOT [INFO] +- com.cloudera.cdh:hive-ant:pom:3.0-u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-common:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] | +- commons-cli:commons-cli:jar:1.2:compile [INFO] | +- org.apache.thrift:libfb303:jar:0.5.0-cdh:compile [INFO] | +- org.apache.thrift:libthrift:jar:0.5.0-cdh:compile [INFO] | +- org.json:json:jar:20090211:compile [INFO] | +- javax.jdo:jdo2-api:jar:2.3-ec:compile [INFO] | | \- javax.transaction:jta:jar:1.1:compile [INFO] | +- org.antlr:antlr-runtime:jar:3.0.1:compile [INFO] | | \- org.antlr:stringtemplate:jar:3.1-b1:compile [INFO] | +- asm:asm:jar:3.1:compile [INFO] | +- commons-codec:commons-codec:jar:1.4:compile [INFO] | +- commons-collections:commons-collections:jar:3.2.1:compile [INFO] | +- commons-lang:commons-lang:jar:2.5:compile [INFO] | +- commons-logging:commons-logging:jar:1.0.4:compile [INFO] | +- commons-logging:commons-logging-api:jar:1.0.4:compile [INFO] | +- org.datanucleus:datanucleus-core:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-enhancer:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-rdbms:jar:2.0.3:compile [INFO] | +- org.apache.derby:derby:jar:10.6.1.0:compile [INFO] | +- jline:jline:jar:0.9.94:compile [INFO] | | \- junit:junit:jar:4.8.1:compile (version managed from 3.8.1) [INFO] | +- log4j:log4j:jar:1.2.16:compile [INFO] | +- org.apache.velocity:velocity:jar:1.5:compile [INFO] | \- com.google.guava:guava:jar:r06:compile [INFO] \- com.cloudera.cdh:hadoop-root:pom:3.0-u2-SNAPSHOT:compile [INFO] [INFO] ------------------------------------------------------------------------ [INFO] Building Hive exec 0.7.1-cdh3u2-SNAPSHOT [INFO] ------------------------------------------------------------------------ [INFO] [INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ hive-exec --- [INFO] org.apache.hadoop.hive:hive-exec:pom:0.7.1-cdh3u2-SNAPSHOT [INFO] +- com.cloudera.cdh:hive-ant:pom:3.0-u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-common:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] | +- commons-cli:commons-cli:jar:1.2:compile [INFO] | +- org.apache.thrift:libfb303:jar:0.5.0-cdh:compile [INFO] | +- org.apache.thrift:libthrift:jar:0.5.0-cdh:compile [INFO] | +- org.json:json:jar:20090211:compile [INFO] | +- javax.jdo:jdo2-api:jar:2.3-ec:compile [INFO] | | \- javax.transaction:jta:jar:1.1:compile [INFO] | +- org.antlr:antlr-runtime:jar:3.0.1:compile [INFO] | | \- org.antlr:stringtemplate:jar:3.1-b1:compile [INFO] | +- asm:asm:jar:3.1:compile [INFO] | +- commons-codec:commons-codec:jar:1.4:compile [INFO] | +- commons-collections:commons-collections:jar:3.2.1:compile [INFO] | +- commons-lang:commons-lang:jar:2.5:compile [INFO] | +- commons-logging:commons-logging:jar:1.0.4:compile [INFO] | +- commons-logging:commons-logging-api:jar:1.0.4:compile [INFO] | +- org.datanucleus:datanucleus-core:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-enhancer:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-rdbms:jar:2.0.3:compile [INFO] | +- org.apache.derby:derby:jar:10.6.1.0:compile [INFO] | +- jline:jline:jar:0.9.94:compile [INFO] | | \- junit:junit:jar:4.8.1:compile (version managed from 3.8.1) [INFO] | +- log4j:log4j:jar:1.2.16:compile [INFO] | +- org.apache.velocity:velocity:jar:1.5:compile [INFO] | \- com.google.guava:guava:jar:r06:compile [INFO] \- com.cloudera.cdh:hadoop-root:pom:3.0-u2-SNAPSHOT:compile [INFO] [INFO] ------------------------------------------------------------------------ [INFO] Building Hive hwi 0.7.1-cdh3u2-SNAPSHOT [INFO] ------------------------------------------------------------------------ [INFO] [INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ hive-hwi --- [INFO] org.apache.hadoop.hive:hive-hwi:pom:0.7.1-cdh3u2-SNAPSHOT [INFO] +- com.cloudera.cdh:hive-ant:pom:3.0-u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-common:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] | +- commons-cli:commons-cli:jar:1.2:compile [INFO] | +- org.apache.thrift:libfb303:jar:0.5.0-cdh:compile [INFO] | +- org.apache.thrift:libthrift:jar:0.5.0-cdh:compile [INFO] | +- org.json:json:jar:20090211:compile [INFO] | +- javax.jdo:jdo2-api:jar:2.3-ec:compile [INFO] | | \- javax.transaction:jta:jar:1.1:compile [INFO] | +- org.antlr:antlr-runtime:jar:3.0.1:compile [INFO] | | \- org.antlr:stringtemplate:jar:3.1-b1:compile [INFO] | +- asm:asm:jar:3.1:compile [INFO] | +- commons-codec:commons-codec:jar:1.4:compile [INFO] | +- commons-collections:commons-collections:jar:3.2.1:compile [INFO] | +- commons-lang:commons-lang:jar:2.5:compile [INFO] | +- commons-logging:commons-logging:jar:1.0.4:compile [INFO] | +- commons-logging:commons-logging-api:jar:1.0.4:compile [INFO] | +- org.datanucleus:datanucleus-core:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-enhancer:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-rdbms:jar:2.0.3:compile [INFO] | +- org.apache.derby:derby:jar:10.6.1.0:compile [INFO] | +- jline:jline:jar:0.9.94:compile [INFO] | | \- junit:junit:jar:4.8.1:compile (version managed from 3.8.1) [INFO] | +- log4j:log4j:jar:1.2.16:compile [INFO] | +- org.apache.velocity:velocity:jar:1.5:compile [INFO] | \- com.google.guava:guava:jar:r06:compile [INFO] \- com.cloudera.cdh:hadoop-root:pom:3.0-u2-SNAPSHOT:compile [INFO] [INFO] ------------------------------------------------------------------------ [INFO] Building Hive jdbc 0.7.1-cdh3u2-SNAPSHOT [INFO] ------------------------------------------------------------------------ [INFO] [INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ hive-jdbc --- [INFO] org.apache.hadoop.hive:hive-jdbc:pom:0.7.1-cdh3u2-SNAPSHOT [INFO] +- com.cloudera.cdh:hive-ant:pom:3.0-u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-common:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] | +- commons-cli:commons-cli:jar:1.2:compile [INFO] | +- org.apache.thrift:libfb303:jar:0.5.0-cdh:compile [INFO] | +- org.apache.thrift:libthrift:jar:0.5.0-cdh:compile [INFO] | +- org.json:json:jar:20090211:compile [INFO] | +- javax.jdo:jdo2-api:jar:2.3-ec:compile [INFO] | | \- javax.transaction:jta:jar:1.1:compile [INFO] | +- org.antlr:antlr-runtime:jar:3.0.1:compile [INFO] | | \- org.antlr:stringtemplate:jar:3.1-b1:compile [INFO] | +- asm:asm:jar:3.1:compile [INFO] | +- commons-codec:commons-codec:jar:1.4:compile [INFO] | +- commons-collections:commons-collections:jar:3.2.1:compile [INFO] | +- commons-lang:commons-lang:jar:2.5:compile [INFO] | +- commons-logging:commons-logging:jar:1.0.4:compile [INFO] | +- commons-logging:commons-logging-api:jar:1.0.4:compile [INFO] | +- org.datanucleus:datanucleus-core:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-enhancer:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-rdbms:jar:2.0.3:compile [INFO] | +- org.apache.derby:derby:jar:10.6.1.0:compile [INFO] | +- jline:jline:jar:0.9.94:compile [INFO] | | \- junit:junit:jar:4.8.1:compile (version managed from 3.8.1) [INFO] | +- log4j:log4j:jar:1.2.16:compile [INFO] | +- org.apache.velocity:velocity:jar:1.5:compile [INFO] | \- com.google.guava:guava:jar:r06:compile [INFO] \- com.cloudera.cdh:hadoop-root:pom:3.0-u2-SNAPSHOT:compile [INFO] [INFO] ------------------------------------------------------------------------ [INFO] Building Hive metastore 0.7.1-cdh3u2-SNAPSHOT [INFO] ------------------------------------------------------------------------ [INFO] [INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ hive-metastore --- [INFO] org.apache.hadoop.hive:hive-metastore:pom:0.7.1-cdh3u2-SNAPSHOT [INFO] +- com.cloudera.cdh:hive-ant:pom:3.0-u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-common:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] | +- commons-cli:commons-cli:jar:1.2:compile [INFO] | +- org.apache.thrift:libfb303:jar:0.5.0-cdh:compile [INFO] | +- org.apache.thrift:libthrift:jar:0.5.0-cdh:compile [INFO] | +- org.json:json:jar:20090211:compile [INFO] | +- javax.jdo:jdo2-api:jar:2.3-ec:compile [INFO] | | \- javax.transaction:jta:jar:1.1:compile [INFO] | +- org.antlr:antlr-runtime:jar:3.0.1:compile [INFO] | | \- org.antlr:stringtemplate:jar:3.1-b1:compile [INFO] | +- asm:asm:jar:3.1:compile [INFO] | +- commons-codec:commons-codec:jar:1.4:compile [INFO] | +- commons-collections:commons-collections:jar:3.2.1:compile [INFO] | +- commons-lang:commons-lang:jar:2.5:compile [INFO] | +- commons-logging:commons-logging:jar:1.0.4:compile [INFO] | +- commons-logging:commons-logging-api:jar:1.0.4:compile [INFO] | +- org.datanucleus:datanucleus-core:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-enhancer:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-rdbms:jar:2.0.3:compile [INFO] | +- org.apache.derby:derby:jar:10.6.1.0:compile [INFO] | +- jline:jline:jar:0.9.94:compile [INFO] | | \- junit:junit:jar:4.8.1:compile (version managed from 3.8.1) [INFO] | +- log4j:log4j:jar:1.2.16:compile [INFO] | +- org.apache.velocity:velocity:jar:1.5:compile [INFO] | \- com.google.guava:guava:jar:r06:compile [INFO] \- com.cloudera.cdh:hadoop-root:pom:3.0-u2-SNAPSHOT:compile [INFO] [INFO] ------------------------------------------------------------------------ [INFO] Building Hive serde 0.7.1-cdh3u2-SNAPSHOT [INFO] ------------------------------------------------------------------------ [INFO] [INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ hive-serde --- [INFO] org.apache.hadoop.hive:hive-serde:pom:0.7.1-cdh3u2-SNAPSHOT [INFO] +- com.cloudera.cdh:hive-ant:pom:3.0-u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-common:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] | +- commons-cli:commons-cli:jar:1.2:compile [INFO] | +- org.apache.thrift:libfb303:jar:0.5.0-cdh:compile [INFO] | +- org.apache.thrift:libthrift:jar:0.5.0-cdh:compile [INFO] | +- org.json:json:jar:20090211:compile [INFO] | +- javax.jdo:jdo2-api:jar:2.3-ec:compile [INFO] | | \- javax.transaction:jta:jar:1.1:compile [INFO] | +- org.antlr:antlr-runtime:jar:3.0.1:compile [INFO] | | \- org.antlr:stringtemplate:jar:3.1-b1:compile [INFO] | +- asm:asm:jar:3.1:compile [INFO] | +- commons-codec:commons-codec:jar:1.4:compile [INFO] | +- commons-collections:commons-collections:jar:3.2.1:compile [INFO] | +- commons-lang:commons-lang:jar:2.5:compile [INFO] | +- commons-logging:commons-logging:jar:1.0.4:compile [INFO] | +- commons-logging:commons-logging-api:jar:1.0.4:compile [INFO] | +- org.datanucleus:datanucleus-core:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-enhancer:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-rdbms:jar:2.0.3:compile [INFO] | +- org.apache.derby:derby:jar:10.6.1.0:compile [INFO] | +- jline:jline:jar:0.9.94:compile [INFO] | | \- junit:junit:jar:4.8.1:compile (version managed from 3.8.1) [INFO] | +- log4j:log4j:jar:1.2.16:compile [INFO] | +- org.apache.velocity:velocity:jar:1.5:compile [INFO] | \- com.google.guava:guava:jar:r06:compile [INFO] \- com.cloudera.cdh:hadoop-root:pom:3.0-u2-SNAPSHOT:compile [INFO] [INFO] ------------------------------------------------------------------------ [INFO] Building Hive service 0.7.1-cdh3u2-SNAPSHOT [INFO] ------------------------------------------------------------------------ [INFO] [INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ hive-service --- [INFO] org.apache.hadoop.hive:hive-service:pom:0.7.1-cdh3u2-SNAPSHOT [INFO] +- com.cloudera.cdh:hive-ant:pom:3.0-u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-common:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] | +- commons-cli:commons-cli:jar:1.2:compile [INFO] | +- org.apache.thrift:libfb303:jar:0.5.0-cdh:compile [INFO] | +- org.apache.thrift:libthrift:jar:0.5.0-cdh:compile [INFO] | +- org.json:json:jar:20090211:compile [INFO] | +- javax.jdo:jdo2-api:jar:2.3-ec:compile [INFO] | | \- javax.transaction:jta:jar:1.1:compile [INFO] | +- org.antlr:antlr-runtime:jar:3.0.1:compile [INFO] | | \- org.antlr:stringtemplate:jar:3.1-b1:compile [INFO] | +- asm:asm:jar:3.1:compile [INFO] | +- commons-codec:commons-codec:jar:1.4:compile [INFO] | +- commons-collections:commons-collections:jar:3.2.1:compile [INFO] | +- commons-lang:commons-lang:jar:2.5:compile [INFO] | +- commons-logging:commons-logging:jar:1.0.4:compile [INFO] | +- commons-logging:commons-logging-api:jar:1.0.4:compile [INFO] | +- org.datanucleus:datanucleus-core:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-enhancer:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-rdbms:jar:2.0.3:compile [INFO] | +- org.apache.derby:derby:jar:10.6.1.0:compile [INFO] | +- jline:jline:jar:0.9.94:compile [INFO] | | \- junit:junit:jar:4.8.1:compile (version managed from 3.8.1) [INFO] | +- log4j:log4j:jar:1.2.16:compile [INFO] | +- org.apache.velocity:velocity:jar:1.5:compile [INFO] | \- com.google.guava:guava:jar:r06:compile [INFO] \- com.cloudera.cdh:hadoop-root:pom:3.0-u2-SNAPSHOT:compile [INFO] [INFO] ------------------------------------------------------------------------ [INFO] Building Hive shims 0.7.1-cdh3u2-SNAPSHOT [INFO] ------------------------------------------------------------------------ [INFO] [INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ hive-shims --- [INFO] org.apache.hadoop.hive:hive-shims:pom:0.7.1-cdh3u2-SNAPSHOT [INFO] +- com.cloudera.cdh:hive-ant:pom:3.0-u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-common:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] | +- commons-cli:commons-cli:jar:1.2:compile [INFO] | +- org.apache.thrift:libfb303:jar:0.5.0-cdh:compile [INFO] | +- org.apache.thrift:libthrift:jar:0.5.0-cdh:compile [INFO] | +- org.json:json:jar:20090211:compile [INFO] | +- javax.jdo:jdo2-api:jar:2.3-ec:compile [INFO] | | \- javax.transaction:jta:jar:1.1:compile [INFO] | +- org.antlr:antlr-runtime:jar:3.0.1:compile [INFO] | | \- org.antlr:stringtemplate:jar:3.1-b1:compile [INFO] | +- asm:asm:jar:3.1:compile [INFO] | +- commons-codec:commons-codec:jar:1.4:compile [INFO] | +- commons-collections:commons-collections:jar:3.2.1:compile [INFO] | +- commons-lang:commons-lang:jar:2.5:compile [INFO] | +- commons-logging:commons-logging:jar:1.0.4:compile [INFO] | +- commons-logging:commons-logging-api:jar:1.0.4:compile [INFO] | +- org.datanucleus:datanucleus-core:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-enhancer:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-rdbms:jar:2.0.3:compile [INFO] | +- org.apache.derby:derby:jar:10.6.1.0:compile [INFO] | +- jline:jline:jar:0.9.94:compile [INFO] | | \- junit:junit:jar:4.8.1:compile (version managed from 3.8.1) [INFO] | +- log4j:log4j:jar:1.2.16:compile [INFO] | +- org.apache.velocity:velocity:jar:1.5:compile [INFO] | \- com.google.guava:guava:jar:r06:compile [INFO] \- com.cloudera.cdh:hadoop-root:pom:3.0-u2-SNAPSHOT:compile [INFO] [INFO] ------------------------------------------------------------------------ [INFO] Building Hive cli 0.7.1-cdh3u2-SNAPSHOT [INFO] ------------------------------------------------------------------------ [INFO] [INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ hive-cli --- [INFO] org.apache.hadoop.hive:hive-cli:pom:0.7.1-cdh3u2-SNAPSHOT [INFO] +- com.cloudera.cdh:hive-ant:pom:3.0-u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-contrib:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-common:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] | +- commons-cli:commons-cli:jar:1.2:compile [INFO] | +- org.apache.thrift:libfb303:jar:0.5.0-cdh:compile [INFO] | +- org.apache.thrift:libthrift:jar:0.5.0-cdh:compile [INFO] | +- org.json:json:jar:20090211:compile [INFO] | +- javax.jdo:jdo2-api:jar:2.3-ec:compile [INFO] | | \- javax.transaction:jta:jar:1.1:compile [INFO] | +- org.antlr:antlr-runtime:jar:3.0.1:compile [INFO] | | \- org.antlr:stringtemplate:jar:3.1-b1:compile [INFO] | +- asm:asm:jar:3.1:compile [INFO] | +- commons-codec:commons-codec:jar:1.4:compile [INFO] | +- commons-collections:commons-collections:jar:3.2.1:compile [INFO] | +- commons-lang:commons-lang:jar:2.5:compile [INFO] | +- commons-logging:commons-logging:jar:1.0.4:compile [INFO] | +- commons-logging:commons-logging-api:jar:1.0.4:compile [INFO] | +- org.datanucleus:datanucleus-core:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-enhancer:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-rdbms:jar:2.0.3:compile [INFO] | +- org.apache.derby:derby:jar:10.6.1.0:compile [INFO] | +- jline:jline:jar:0.9.94:compile [INFO] | | \- junit:junit:jar:4.8.1:compile (version managed from 3.8.1) [INFO] | +- log4j:log4j:jar:1.2.16:compile [INFO] | +- org.apache.velocity:velocity:jar:1.5:compile [INFO] | \- com.google.guava:guava:jar:r06:compile [INFO] +- org.apache.hadoop.hive:hive-anttasks:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-exec:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-hwi:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-jdbc:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-metastore:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-serde:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-service:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-shims:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] \- com.cloudera.cdh:hadoop-root:pom:3.0-u2-SNAPSHOT:compile [INFO] [INFO] ------------------------------------------------------------------------ [INFO] Building Hive hbase-handler 0.7.1-cdh3u2-SNAPSHOT [INFO] ------------------------------------------------------------------------ [INFO] [INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ hive-hbase-handler --- [INFO] org.apache.hadoop.hive:hive-hbase-handler:pom:0.7.1-cdh3u2-SNAPSHOT [INFO] +- com.cloudera.cdh:hive-ant:pom:3.0-u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-common:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] | +- commons-cli:commons-cli:jar:1.2:compile [INFO] | +- org.apache.thrift:libfb303:jar:0.5.0-cdh:compile [INFO] | +- org.apache.thrift:libthrift:jar:0.5.0-cdh:compile [INFO] | +- org.json:json:jar:20090211:compile [INFO] | +- javax.jdo:jdo2-api:jar:2.3-ec:compile [INFO] | | \- javax.transaction:jta:jar:1.1:compile [INFO] | +- org.antlr:antlr-runtime:jar:3.0.1:compile [INFO] | | \- org.antlr:stringtemplate:jar:3.1-b1:compile [INFO] | +- asm:asm:jar:3.1:compile [INFO] | +- commons-codec:commons-codec:jar:1.4:compile [INFO] | +- commons-collections:commons-collections:jar:3.2.1:compile [INFO] | +- commons-lang:commons-lang:jar:2.5:compile [INFO] | +- commons-logging:commons-logging-api:jar:1.0.4:compile [INFO] | +- org.datanucleus:datanucleus-core:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-enhancer:jar:2.0.3:compile [INFO] | +- org.datanucleus:datanucleus-rdbms:jar:2.0.3:compile [INFO] | +- org.apache.derby:derby:jar:10.6.1.0:compile [INFO] | +- jline:jline:jar:0.9.94:compile [INFO] | | \- junit:junit:jar:4.8.1:compile (version managed from 3.8.1) [INFO] | +- log4j:log4j:jar:1.2.16:compile [INFO] | +- org.apache.velocity:velocity:jar:1.5:compile [INFO] | \- com.google.guava:guava:jar:r06:compile [INFO] +- org.apache.hadoop.hive:hive-serde:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop.hive:hive-exec:jar:0.7.1-cdh3u2-SNAPSHOT:compile [INFO] +- org.apache.hadoop:hadoop-core:jar:0.20.2-cdh3u2-SNAPSHOT:compile [INFO] | +- com.cloudera.cdh:hadoop-ant:pom:3.0-u2-SNAPSHOT:compile [INFO] | +- xmlenc:xmlenc:jar:0.52:compile [INFO] | +- commons-httpclient:commons-httpclient:jar:3.1:compile [INFO] | +- commons-net:commons-net:jar:1.4.1:compile [INFO] | +- org.mortbay.jetty:jetty:jar:6.1.26:compile [INFO] | | \- org.mortbay.jetty:servlet-api:jar:2.5-20081211:compile [INFO] | +- org.mortbay.jetty:jetty-util:jar:6.1.26:compile [INFO] | +- tomcat:jasper-runtime:jar:5.5.23:compile [INFO] | +- tomcat:jasper-compiler:jar:5.5.23:compile [INFO] | | +- javax.servlet:jsp-api:jar:2.0:compile [INFO] | | \- ant:ant:jar:1.6.5:compile [INFO] | +- org.codehaus.jackson:jackson-core-asl:jar:1.5.2:compile [INFO] | +- org.codehaus.jackson:jackson-mapper-asl:jar:1.5.2:compile [INFO] | +- javax.servlet.jsp:jsp-api:jar:2.1:compile [INFO] | +- commons-el:commons-el:jar:1.0:compile [INFO] | +- net.java.dev.jets3t:jets3t:jar:0.6.1:compile [INFO] | +- javax.servlet:servlet-api:jar:2.5:compile [INFO] | +- hsqldb:hsqldb:jar:1.8.0.7:compile [INFO] | +- oro:oro:jar:2.0.8:compile [INFO] | \- org.eclipse.jdt:core:jar:3.1.1:compile [INFO] +- org.apache.hbase:hbase:jar:0.90.3-cdh3u2-SNAPSHOT:compile [INFO] | +- org.apache.hadoop:avro:jar:1.3.2:compile (version managed from 1.3.3) [INFO] | +- org.apache.zookeeper:zookeeper:jar:3.3.3-cdh3u2-SNAPSHOT:compile [INFO] | | \- com.cloudera.cdh:zookeeper-ant:pom:3.0-u2-SNAPSHOT:compile [INFO] | +- org.apache.thrift:thrift:jar:0.2.0:compile [INFO] | +- org.jruby:jruby-complete:jar:1.0.3:compile (version managed from 1.6.0) [INFO] | +- org.mortbay.jetty:jsp-2.1:jar:6.1.14:compile [INFO] | +- org.mortbay.jetty:jsp-api-2.1:jar:6.1.14:compile [INFO] | +- org.mortbay.jetty:servlet-api-2.5:jar:6.1.14:compile [INFO] | +- org.slf4j:slf4j-api:jar:1.5.8:compile [INFO] | +- org.slf4j:slf4j-log4j12:jar:1.5.8:runtime [INFO] | +- org.jamon:jamon-runtime:jar:2.3.1:compile [INFO] | +- com.google.protobuf:protobuf-java:jar:2.3.0:compile [INFO] | +- com.sun.jersey:jersey-core:jar:1.4:compile [INFO] | +- com.sun.jersey:jersey-json:jar:1.4:compile [INFO] | | +- org.codehaus.jettison:jettison:jar:1.1:compile [INFO] | | +- com.sun.xml.bind:jaxb-impl:jar:2.1.12:compile [INFO] | | +- org.codehaus.jackson:jackson-jaxrs:jar:1.5.5:compile [INFO] | | \- org.codehaus.jackson:jackson-xc:jar:1.5.5:compile [INFO] | +- com.sun.jersey:jersey-server:jar:1.4:compile [INFO] | +- javax.ws.rs:jsr311-api:jar:1.1.1:compile [INFO] | +- javax.xml.bind:jaxb-api:jar:2.1:compile [INFO] | | \- javax.activation:activation:jar:1.1:compile [INFO] | \- stax:stax-api:jar:1.0.1:compile [INFO] +- commons-logging:commons-logging:jar:1.0.4:compile [INFO] \- com.cloudera.cdh:hadoop-root:pom:3.0-u2-SNAPSHOT:compile [INFO] ------------------------------------------------------------------------ {code} > published POMs in Maven repo are incorrect > ------------------------------------------ > > Key: HIVE-2391 > URL: https://issues.apache.org/jira/browse/HIVE-2391 > Project: Hive > Issue Type: Bug > Components: Build Infrastructure > Affects Versions: 0.7.1 > Reporter: Alejandro Abdelnur > Priority: Critical > > The Hive artifacts published in Apache Maven SNAPSHOTS repo are incorrect. > Dependencies are not complete. > Even after adding as dependencies ALL the Hive artifacts it is not possible > to compile a project using Hive JARs (I'm trying to integrate Oozie Hive > Action using Apache Hive). > As a reference the Hive CDH POMs dependencies could be used (Using those > artifacts I'm able to compile/test/run Hive from within Oozie). -- This message is automatically generated by JIRA. For more information on JIRA, see: http://www.atlassian.com/software/jira

Next Message by Thread:

[jira] [Commented] (HIVE-2391) published POMs in Maven repo are incorrect

[ https://issues.apache.org/jira/browse/HIVE-2391?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13091746#comment-13091746 ] Alejandro Abdelnur commented on HIVE-2391: ------------------------------------------ Amareshwari, I'm not following why you worry about building Hive, that is working fine. Unless you want to see what JARs end up in each build/lib directory of every module (in case Hive build does that). You don't need Thrift 0.5, you need the correct version of Thrift used by Hive. CDH Hive uses v0.5 because at the time the Thrift JAR was unversioned and we needed a version number. > published POMs in Maven repo are incorrect > ------------------------------------------ > > Key: HIVE-2391 > URL: https://issues.apache.org/jira/browse/HIVE-2391 > Project: Hive > Issue Type: Bug > Components: Build Infrastructure > Affects Versions: 0.7.1 > Reporter: Alejandro Abdelnur > Priority: Critical > > The Hive artifacts published in Apache Maven SNAPSHOTS repo are incorrect. > Dependencies are not complete. > Even after adding as dependencies ALL the Hive artifacts it is not possible > to compile a project using Hive JARs (I'm trying to integrate Oozie Hive > Action using Apache Hive). > As a reference the Hive CDH POMs dependencies could be used (Using those > artifacts I'm able to compile/test/run Hive from within Oozie). -- This message is automatically generated by JIRA. For more information on JIRA, see: http://www.atlassian.com/software/jira

Home | News | Sitemap | FAQ | advertise | OSDir is an Inevitable website. GBiz is too! | Ad Serving by nView.io